MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions
Dsd16.hxx File Reference
`#include "check.h"`
`#include <stdint.h>`
Include dependency graph for Dsd16.hxx:

Go to the source code of this file.

## Data Structures
struct | ConstBuffer< T >
| A reference to a memory area that is read-only. More...

## Functions
ConstBuffer< uint16_t > | Dsd8To16 (PcmBuffer &buffer, unsigned channels, ConstBuffer< uint8_t > src)
| Convert DSD_U8 to DSD_U16 (native endian, oldest bits in MSB). More...

## Function Documentation

ConstBuffer<uint16_t> Dsd8To16 | ( | PcmBuffer & | buffer,
|  | unsigned | channels,
|  | ConstBuffer< uint8_t > | src
| ) |  |

Convert DSD_U8 to DSD_U16 (native endian, oldest bits in MSB).